Credentials

Get credential design templates

Use this endpoint to list design templates of a credential and available previews. Preview URLs are immutable and versioned by a digest (hash) derived from the design template's last update timestamp and the resolved values of all rendered credential attributes.

Use this endpoint to list design templates of a credential and available previews. Preview URLs are immutable and versioned by a digest (hash) derived from the design template's last update timestamp and the resolved values of all rendered credential attributes.

Important considerations

Preview URLs are immutable and versioned by a digest (hash) derived from:

  • the design template’s last update timestamp, and
  • the resolved values of all rendered credential attributes

If you modify the design template (layout, fonts, colors, etc.) or any attribute value that appears in the design template, the digest changes and previous preview URLs will not automatically point to the new design template.

To get the newest preview after any change, fetch Get credential design templates again and use the newly returned preview URL.

The digest-versioned URL (…/.png or .pdf) is permanent for that exact version and is cache-friendly, making it safe to store or share.

GET
/v1/credentials/{id}/designs

Authorization

BearerAuth
AuthorizationBearer <token>

Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.

In: header

Path Parameters

id*string

The unique ID of the credential

Header Parameters

Certifier-Version*string

API version header. Required for all requests.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.certifier.io/v1/credentials/01hz2f0c9ryvzajg20jqh9taab/designs" \  -H "Certifier-Version: 2022-10-26"
[
  {
    "id": "01jpqe836f59e62yh4c06h5sd8",
    "name": "Classic Certificate",
    "previews": [
      {
        "format": "png",
        "url": "https://cdn.certifier.io/c2903a31-67f2-4439-8214-5aeab5808536/credentials/01jjcded4kr5t0zz33286qqtxv/designs/01jpqe836f59e62yh4c06h5sd8/YhOo_ijQbQ.png"
      }
    ]
  }
]

{
  "error": {
    "code": "missing_version",
    "message": "The request is missing the required Certifier-Version header"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "A valid authentication token was not provided with the request"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "The requested resource does not exist"
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "You have exceeded the rate limit"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "There was a problem on Certifier's end"
  }
}